// sky
textures/q3Peer/sky
{
	skyparms - 512 -	

	q3map_lightimage textures/skies/inteldimclouds.tga
	q3map_sunExt .4 .4 .3 75 60 80 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/skies/inteldimclouds.tga

	{
		map textures/skies/topclouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/inteldimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.01 0.01
		tcMod scale 5 5
	}
}
textures/q3Peer/bouncey
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	qer_editorimage textures/sfx/bounce_concrete.tga	
	q3map_surfacelight 250	
	{
		map textures/sfx/bounce_concrete.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
// light
textures/q3Peer/light1

{
	q3map_lightimage textures/base_light/baslt4_1.blend.tga
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_lightRGB .4 .4 .3
	q3map_lightsubdivide 64
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}	
	{
		map textures/effects/envmap2.tga
              	tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}           
}
textures/q3Peer/border
{
	q3map_lightimage textures/base_trim/techborder_fx.tga
	qer_editorimage textures/base_trim/techborder.tga
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/techborder.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/base_trim/techborder_fx.tga
               	tcmod scroll .1 0                
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/base_trim/techborder_fx.tga
                	tcmod scale  .1 1
               	tcmod scroll .1 0                
		blendfunc GL_ONE GL_ONE
	}
}
textures/q3Peer/spiderbit
{
	q3map_lightimage textures/base_trim/spiderbit_fx.tga
	qer_editorimage textures/base_trim/spiderbit.tga
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/spiderbit.tga
		blendfunc gl_dst_color gl_zero
              	rgbGen identity
	}	
	{
		map textures/base_trim/spiderbit_fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle .1 .7 0 .1
	}  	
}
textures/q3Peer/tele
{
	q3map_lightimage textures/sfx/lavabeam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	q3map_surfacelight 100
	cull none
        nomipmaps

	qer_editorimage textures/sfx/lavabeam.tga
	{
		map textures/sfx/lavabeam.tga
		tcMod scroll -3 0
		blendfunc gl_one gl_one
		rgbGen identity
	}
}
textures/q3Peer/glass
{
	qer_editorimage textures/effects/envmap2.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/effects/envmap2.tga
              	tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}           
}